{
  "name": "network-resurrector-frontend",
  "version": "1.4.1",
  "description": "Frontend component of Network resurrector system",
  "type": "module",
  "author": {
    "name": "Tudor Stanciu",
    "email": "tudor.stanciu94@gmail.com",
    "url": "https://lab.code-rove.com/tsp"
  },
  "repository": {
    "type": "git",
    "url": "https://lab.code-rove.com/gitea/tudor.stanciu/network-resurrector"
  },
  "private": true,
  "dependencies": {
    "@emotion/babel-plugin": "^11.13.5",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.0",
    "@flare/tuitio-client-react": "^1.3.0",
    "@flare/utiliyo": "^1.2.1",
    "@mui/icons-material": "^7.0.2",
    "@mui/lab": "^7.0.0-beta.11",
    "@mui/material": "^7.0.2",
    "@vitejs/plugin-react": "^4.4.1",
    "axios": "^1.9.0",
    "i18next": "^25.0.1",
    "i18next-browser-languagedetector": "^8.0.5",
    "i18next-http-backend": "^3.0.2",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "react": "^19.1.0",
    "react-dom": "^19.1.0",
    "react-i18next": "^15.5.1",
    "react-lazylog": "^4.5.3",
    "react-router-dom": "^7.5.2",
    "react-toastify": "^11.0.5",
    "react-world-flags": "^1.6.0",
    "swr": "^2.3.3"
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@eslint/js": "^9.25.1",
    "@types/lodash": "^4.17.16",
    "@types/react": "^19.1.2",
    "@types/react-dom": "^19.1.2",
    "@types/react-world-flags": "^1.6.0",
    "eslint": "^9.25.1",
    "eslint-plugin-prettier": "^5.2.6",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.0.0",
    "prettier": "^3.5.3",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.31.0",
    "vite": "^6.3.3",
    "vite-plugin-checker": "^0.9.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-tsconfig-paths": "^5.1.4"
  },
  "scripts": {
    "start": "vite",
    "build": "tsc && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "test": "jest"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
